- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the VolumeRestores for a given Restore.
HTTP request
GET https://gkebackup.googleapis.com/v1/{parent=projects/*/locations/*/restorePlans/*/restores/*}/volumeRestores
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
parent |
Required. The Restore that contains the VolumeRestores to list. Format: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The target number of results to return in a single response. If not specified, a default value will be chosen by the service. Note that the response may include a partial list and a caller should only rely on the response's |
pageToken |
Optional. The value of |
filter |
Optional. Field match expression used to filter the results. |
orderBy |
Optional. Field by which to sort the results. |
Request body
The request body must be empty.
Response body
Response message for volumeRestores.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"volumeRestores": [
{
object ( |
| Fields | |
|---|---|
volumeRestores[] |
The list of VolumeRestores matching the given criteria. |
nextPageToken |
A token which may be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.